Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 208019 - FX Project Properties dialog contents persist after pressing Cancel till next opening
FX Project Properties dialog contents persist after pressing Cancel till next...
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Project
7.1
PC Windows 7
: P3 (vote)
: 7.1.1
Assigned To: Petr Somol
issues@javafx
71patch1-verified
:
Depends on:
Blocks: 204756 219827
  Show dependency treegraph
 
Reported: 2012-02-02 14:37 UTC by Petr Somol
Modified: 2012-10-10 13:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2012-02-02 14:37:05 UTC
In FX project open Project Properties dialog, go to either Deployment or Run panel and change any value. Press Cancel to close the dialog. Now open the dialog again and go to the same panel as before. The value remains changed to the new value although after Cancel it should have retained the previous value. 

Note that it is only shown changed in the dialog, it is not stored in properties file (in this sense the behavior is correct).
Comment 1 Petr Somol 2012-02-02 14:45:13 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/988c617577ef
Comment 2 Stepan Zebra 2012-02-06 09:30:59 UTC
might be a separate issue, but after the fix I noticed that when I open Properties manager and push OK then Run Configuration is always reset to <default configuration>
Comment 3 Stepan Zebra 2012-02-06 12:51:48 UTC
(In reply to comment #2)
> might be a separate issue, but after the fix I noticed that when I open
> Properties manager and push OK then Run Configuration is always reset to
> <default configuration>

not directly related, opened a new issue 208088
Comment 4 Stepan Zebra 2012-02-06 12:52:39 UTC
verified in trunk
Comment 5 Petr Somol 2012-02-06 17:05:03 UTC
transplanted to releases to release71_fixes:
http://hg.netbeans.org/releases/rev/ad3d11308627
Comment 6 Quality Engineering 2012-02-08 02:33:32 UTC
Integrated into 'releases', will be available in build *201202072200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/ad3d11308627
User: Petr Somol <psomol@netbeans.org>
Log: #208019 - FX Project Properties dialog contents persist after pressing Cancel till next opening
Comment 7 Stepan Zebra 2012-02-13 14:36:31 UTC
verified in 7.1.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo